% set up frequencies
fmin = -1;
fmax = 3;
f = logspace(fmin,fmax,1000);


% open loop gain

tf_before  = model_sys(2,2); % In1 to Out4
tf_after   = model_sys(3,2); % In3 to Out4

g_before = mybodesys(tf_before,f);
g_after = mybodesys(tf_after,f);

g_oltf = g_before./g_after;

clf;
subplot(3,1,[1 2]);
loglog(f,abs(g_oltf),'r', 'LineWidth',2);
hold on;
loglog(f,f./f,'k', 'LineWidth',1);
set(gca,'XTickLabel',[]);
set(gca,'FontSize',14);
set(gca,'GridLineStyle','--');
set(gca,'Color',[1 1 1])
grid on;
xlim([10^fmin 10^fmax]);
ylim([1e-4 1e2]);
set(gca,'YTick',10.^[-4:2]);
ylabel('Mag (dB)');
title('Openloop transfer functions');

subplot(3,1,[3]);
semilogx(f,180/pi*angle(g_oltf),'r', 'LineWidth',2);
hold on;
loglog(f,f-f,'k', 'LineWidth',1);
grid on;
axis([10^fmin 10^fmax -180 180]);
set(gca,'FontSize',14);
set(gca,'YTick',[-180:45:180]);
set(gca,'GridLineStyle','--');
set(gca,'Color',[1 1 1])
xlim([10^fmin 10^fmax]);
xlabel('Frequency (Hz)');
ylabel('Phase (deg)');


orient landscape;
% print -dpdf 'Model_SUS_resp.pdf'